jQuery(document).ready(function($) {
	var t,
		w,
		d,
		h,
		row = $('.a_row'),
		max = (52*604800) - 1,
		datefield = $('#es_ape_datefield');

	datefield.datepicker({
		minDate: 0
	});

	row.each( function () {
		var hv, dts;

		t = $(this);
		w = t.find( '.pt_weeks' );
		d = t.find( '.pt_days' );
		h = t.find( '.pt_timestamp' );

		hv = h.val();

		if (hv > max) {
			h.val(max);
			hv = max;
		} else if (hv === '') {
			hv = 0;
		}

		dts = recalc( hv );

		w.val(dts.week);
		d.val(dts.day);

		h.on( 'click', function () {
			var __t = $(this),
				_t = __t.parent().parent(),
				_h = _t.find('.pt_timestamp'),
				_w = _t.find('.pt_weeks'),
				_d = _t.find('.pt_days'),
				_r = recalc(0);
			__t.val('');
			_w.val( _r.week );
			_d.val( _r.day );
		});

		d.add(w).on( 'change', function () {
			var _t = $(this).parent().parent(),
				_h = _t.find( '.pt_timestamp' ),
				_w = _t.find( '.pt_weeks' ),
				_d = _t.find( '.pt_days' ),
				wv = _w.val(),
				dv = _d.val();
				hv = 86400 * dv + 604800 * wv;
			_h.val( hv );
		});
	});

	function recalc (h) {
		var wts = Math.floor( h/604800 ),
			tsd = h - (wts*604800 ),
			dts = Math.floor( tsd/86400 ),
			dates = {'week':wts, 'day':dts};
		return dates;
	}
});
